#ifndef __MUTEX_LOCKER_H__
#define __MUTEX_LOCKER_H__
    //! A Class that locks a Mutex within its scope
    class MutexLock
{
  public:
    //! Locks the Mutex mutex in this Scope.
    MutexLock(Mutex* mutex) { SDL_mutexP(mutex->getMutex()); this->mutex = mutex; };
    ~MutexLock() { SDL_mutexV(mutex->getMutex()); };
  private:
    Mutex* mutex;         //!< The Mutex to lock.
};
}

#endif /* __MUTEX_LOCKER_H__ */
